> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.feedonomics.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.feedonomics.com/_mcp/server.

# Get order by {order-id}

GET https://api.feedamp.feedonomics.com/api/v2/orders/{order-id}

A single order model

Reference: https://docs.feedonomics.com/developer/api-reference/rest/feed-amp-order-api-v2/orders/get-order

## Authentication

- `token` header (required) — The Authentication token obtained from the get_token route.
- `x-api-key` header (required) — The SSO token obtained from the Feedonomics platform SSO token route.

## Request

### Path parameters

- `order-id` (long, required) — The id of the order

### Query parameters

- `include_raw_data` (boolean, optional, default: false) — Set true to include the raw data from the marketplace for each order in results.

### Headers

- `client` (integer, required) — The ID of the client making the request

## Response

### 200

Single order

- `id` (string, required) — Unique identifier for a record
- `marketplace_order_number` (string, required) — The primary order number used to identify the order in the marketplace's system
- `customer` (Customer, required)
- `imported_date` (datetime, required) — The datetime at which the order was first seen by FeedAMP. RFC-3339 format 2020-12-31T12:34:56-05:00
- `purchase_date` (datetime, required) — The datetime of the purchase date. RFC-3339 format 2020-12-31T12:34:56-05:00
- `currency` (enum, required) — ISO 4217 Currency codes
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `CNY`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SLL`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UYW`, `UZS`, `VED`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
- `shipping_address` (StreetAddress, required) — Customer's Shipping Information
- `order_lines` (list of OrderLine, required) — A collection of OrderLine objects. This property contains the individual order lines that the seller is to fulfill
- `marketplace_state` (string, required) — The marketplace's own representation of the order state
- `customer_order_number` (string, optional) — Customer-facing order number provided by marketplace
- `merchant_order_number` (string, optional) — Order identifier in the merchant's e-commerce platform
- `marketplace_name` (string, optional) — The platform from which the order originated
- `integration_name` (string, optional) — Client-configured identifier for the integration from which the order originated
- `sales_channel` (string, optional) — The specific channel within a marketplace in which orders are processed (typically corresponds to region)
- `location` (Location, optional) — Details about the location (e.g. store) associated with an order
- `delivery_notes` (string, optional) — The customer's instructions to the delivery service regarding where/how to leave the package.
- `earliest_ship_date` (datetime, optional) — The earliest expected ship-by date. RFC-3339 format 2020-12-31T12:34:56-05:00
- `latest_ship_date` (datetime, optional) — The latest expected ship-by date.RFC-3339 format 2020-12-31T12:34:56-05:00
- `latest_delivery_date` (datetime, optional) — The latest expected deliver-by date. RFC-3339 format 2020-12-31T12:34:56-05:00
- `earliest_delivery_date` (datetime, optional) — The earliest expected deliver-by date. RFC-3339 format 2020-12-31T12:34:56-05:00
- `gift_message` (string, optional) — Gift message attached to order
- `marketing_opt_in` (boolean, optional) — Whether the customer opted in to marketing emails
- `billing_address` (StreetAddress, optional) — Customer's Shipping Information
- `order_additional_properties` (map from string to any, optional) — Arbitrary data the marketplace associated with an order
- `payment_gateway_transactions` (list of PaymentGatewayTransaction, optional) — A collection of PaymentGatewayTransaction objects
- `workflow_status` (string, optional) — FeedAMP's internal representation of the orders's progress through client-specific workflow. Common values:&#x20; IMPORTED - FeedAMP has imported the order from the sales channel, but it has not been forwarded to the merchant's store platform ON\_HOLD - Order was created on the storefront, but is in a configured hold or remorse period before being released for shipment SENT\_FOR\_FULFILLMENT - Merchant's fulfillment platform has received the order and fulfillment is in progress FULFILLED - Merchant has shipped everything in the order and FeedAMP has received the shipment information CANCELLED - Order was cancelled, either by the sales channel (customer cancelled) or the merchant platform (e.g. item not available)
- `normalized_marketplace_state` (enum, optional) — FeedAMP's interpretation of the marketplace state&#x20; PENDING - Order has been created on the sales channel, but is awaiting some outside process such as a fraud check or payment capture before it is ready for fulfillment. AWAITING\_ACKNOWLEDGEMENT - Order is from a sales channel that requires explicit acknowledgement, and the order has not yet been acknowledged. AWAITING\_SHIPMENT - Order is ready for fulfillment, and still has one or more items unshipped. SHIPPED - The sales channel has successfully received fulfillment information for the entire order. CANCELLED - The order has been cancelled, either due to action initiated by the sales channel (customer cancelled) or the entire order has been cancelled during fulfillment processing (seller cancelled). MISSING - The order was imported to FeedAMP, but we have not yet determined the order's status according to the sales channel. UNRECOGNIZED - The sales channel reported a status value that FeedAMP does not understand.
  - Allowed values: `PENDING`, `AWAITING_ACKNOWLEDGEMENT`, `AWAITING_SHIPMENT`, `SHIPPED`, `CANCELLED`, `MISSING`, `UNRECOGNIZED`
- `is_marketplace_fulfilled` (boolean, optional, default: false) — Whether the order is fulfilled by the marketplace, and no further action is required by the seller to fulfill&#x20; True - The order is fulfilled by the marketplace &#x20;False - The seller must fulfill the order
- `marketplace_state_changed_at` (datetime, optional) — The time at which our system received the latest marketplace state change for the order. RFC-3339 format 2020-12-31T12:34:56-05:00
- `fulfillment_type` (enum, optional) — Type of fulfillment required for the order&#x20; shipment - Requires shipment by the seller digital - No physical fulfillment pickup - Order prepared for local pickup by buyer local\_delivery - Order is fulfilled by a local store
  - Allowed values: `shipment`, `digital`, `pickup`, `local_delivery`
- `shipment_service_level` (string, optional) — Shipment Service Level
- `shipment_node` (string, optional) — Shipment Node

## Errors

### 401 Unauthorized Error

Error validating credentials or access to resources.

- `error` (string, required)

### 404 Not Found Error

Order not found

- `any`

### 500 Internal Server Error

An unexpected server error occurred. Please contact Feedonomics Support if error persists.

- `error` (string, required)

### 503 Service Unavailable Error

Server is temporarily unable to handle the request

- `error` (string, required)

## Types

### Customer

- `full_name` (string, optional) — The full name of the customer
- `email` (string, optional) — The customer's email address
- `phone` (string, optional) — The phone number of the customer
- `vat` (string, optional) — International Value-Added Tax identification number of customer

### StreetAddress

Customer's Shipping Information

- `full_name` (string, required) — Primary name on the shipping address
- `address1` (string, required) — Shipping street address, line 1
- `city` (string, required) — Shipping address (City)
- `state` (string, required) — Shipping address (State or Province)
- `postal_code` (string, required) — Shipping address (Postal or Zip code)
- `country_code` (enum, required) — ISO 3166-1 alpha-3 country codes
  - Allowed values: `ABW`, `AFG`, `AGO`, `AIA`, `ALA`, `ALB`, `AND`, `ARE`, `ARG`, `ARM`, `ASM`, `ATA`, `ATF`, `ATG`, `AUS`, `AUT`, `AZE`, `BDI`, `BEL`, `BEN`, `BES`, `BFA`, `BGD`, `BGR`, `BHR`, `BHS`, `BIH`, `BLM`, `BLR`, `BLZ`, `BMU`, `BOL`, `BRA`, `BRB`, `BRN`, `BTN`, `BVT`, `BWA`, `CAF`, `CAN`, `CCK`, `CHE`, `CHL`, `CHN`, `CIV`, `CMR`, `COD`, `COG`, `COK`, `COL`, `COM`, `CPV`, `CRI`, `CUB`, `CUW`, `CXR`, `CYM`, `CYP`, `CZE`, `DEU`, `DJI`, `DMA`, `DNK`, `DOM`, `DZA`, `ECU`, `EGY`, `ERI`, `ESH`, `ESP`, `EST`, `ETH`, `FIN`, `FJI`, `FLK`, `FRA`, `FRO`, `FSM`, `GAB`, `GBR`, `GEO`, `GGY`, `GHA`, `GIB`, `GIN`, `GLP`, `GMB`, `GNB`, `GNQ`, `GRC`, `GRD`, `GRL`, `GTM`, `GUF`, `GUM`, `GUY`, `HKG`, `HMD`, `HND`, `HRV`, `HTI`, `HUN`, `IDN`, `IMN`, `IND`, `IOT`, `IRL`, `IRN`, `IRQ`, `ISL`, `ISR`, `ITA`, `JAM`, `JEY`, `JOR`, `JPN`, `KAZ`, `KEN`, `KGZ`, `KHM`, `KIR`, `KNA`, `KOR`, `KWT`, `LAO`, `LBN`, `LBR`, `LBY`, `LCA`, `LIE`, `LKA`, `LSO`, `LTU`, `LUX`, `LVA`, `MAC`, `MAF`, `MAR`, `MCO`, `MDA`, `MDG`, `MDV`, `MEX`, `MHL`, `MKD`, `MLI`, `MLT`, `MMR`, `MNE`, `MNG`, `MNP`, `MOZ`, `MRT`, `MSR`, `MTQ`, `MUS`, `MWI`, `MYS`, `MYT`, `NAM`, `NCL`, `NER`, `NFK`, `NGA`, `NIC`, `NIU`, `NLD`, `NOR`, `NPL`, `NRU`, `NZL`, `OMN`, `PAK`, `PAN`, `PCN`, `PER`, `PHL`, `PLW`, `PNG`, `POL`, `PRI`, `PRK`, `PRT`, `PRY`, `PSE`, `PYF`, `QAT`, `REU`, `ROU`, `RUS`, `RWA`, `SAU`, `SDN`, `SEN`, `SGP`, `SGS`, `SHN`, `SJM`, `SLB`, `SLE`, `SLV`, `SMR`, `SOM`, `SPM`, `SRB`, `SSD`, `STP`, `SUR`, `SVK`, `SVN`, `SWE`, `SWZ`, `SXM`, `SYC`, `SYR`, `TCA`, `TCD`, `TGO`, `THA`, `TJK`, `TKL`, `TKM`, `TLS`, `TON`, `TTO`, `TUN`, `TUR`, `TUV`, `TWN`, `TZA`, `UGA`, `UKR`, `UMI`, `URY`, `USA`, `UZB`, `VAT`, `VCT`, `VEN`, `VGB`, `VIR`, `VNM`, `VUT`, `WLF`, `WSM`, `YEM`, `ZAF`, `ZMB`, `ZWE`
- `address_type` (string, optional) — The category of the shipping address
- `address2` (string, optional) — Shipping street address, line 2
- `address3` (string, optional) — Shipping street address, line 3 (international shipping address info)
- `country_code_iso2` (enum, optional) — ISO 3166-1 alpha-2 country codes
  - Allowed values: `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, `AT`, `AU`, `AW`, `AX`, `AZ`, `BA`, `BB`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BL`, `BM`, `BN`, `BO`, `BQ`, `BR`, `BS`, `BT`, `BV`, `BW`, `BY`, `BZ`, `CA`, `CC`, `CD`, `CF`, `CG`, `CH`, `CI`, `CK`, `CL`, `CM`, `CN`, `CO`, `CR`, `CU`, `CV`, `CW`, `CX`, `CY`, `CZ`, `DE`, `DJ`, `DK`, `DM`, `DO`, `DZ`, `EC`, `EE`, `EG`, `EH`, `ER`, `ES`, `ET`, `FI`, `FJ`, `FK`, `FM`, `FO`, `FR`, `GA`, `GB`, `GD`, `GE`, `GF`, `GG`, `GH`, `GI`, `GL`, `GM`, `GN`, `GP`, `GQ`, `GR`, `GS`, `GT`, `GU`, `GW`, `GY`, `HK`, `HM`, `HN`, `HR`, `HT`, `HU`, `ID`, `IE`, `IL`, `IM`, `IN`, `IO`, `IQ`, `IR`, `IS`, `IT`, `JE`, `JM`, `JO`, `JP`, `KE`, `KG`, `KH`, `KI`, `KM`, `KN`, `KP`, `KR`, `KW`, `KY`, `KZ`, `LA`, `LB`, `LC`, `LI`, `LK`, `LR`, `LS`, `LT`, `LU`, `LV`, `LY`, `MA`, `MC`, `MD`, `ME`, `MF`, `MG`, `MH`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MQ`, `MR`, `MS`, `MT`, `MU`, `MV`, `MW`, `MX`, `MY`, `MZ`, `NA`, `NC`, `NE`, `NF`, `NG`, `NI`, `NL`, `NO`, `NP`, `NR`, `NU`, `NZ`, `OM`, `PA`, `PE`, `PF`, `PG`, `PH`, `PK`, `PL`, `PM`, `PN`, `PR`, `PS`, `PT`, `PW`, `PY`, `QA`, `RE`, `RO`, `RS`, `RU`, `RW`, `SA`, `SB`, `SC`, `SD`, `SE`, `SG`, `SH`, `SI`, `SJ`, `SK`, `SL`, `SM`, `SN`, `SO`, `SR`, `SS`, `ST`, `SV`, `SX`, `SY`, `SZ`, `TC`, `TD`, `TF`, `TG`, `TH`, `TJ`, `TK`, `TL`, `TM`, `TN`, `TO`, `TR`, `TT`, `TV`, `TW`, `TZ`, `UA`, `UG`, `UM`, `US`, `UY`, `UZ`, `VA`, `VC`, `VE`, `VG`, `VI`, `VN`, `VU`, `WF`, `WS`, `XK`, `YE`, `YT`, `ZA`, `ZM`, `ZW`
- `phone` (string, optional) — Shipping phone number

### OrderLine

An object representing a line in an order

- `id` (string, required) — Unique identifier for a record
- `marketplace_line_number` (string, required) — The marketplace identifier of this unique order line
- `sku` (string, required) — The SKU of the marketplace product represented by this order line
- `product_name` (string, required) — The product title, as displayed in the marketplace listing
- `quantity` (integer, required) — The amount of product ordered
- `unit_price` (double, required) — The price for a single (1) quantity of product (not including tax, shipping, or discounts)
- `shipping_method` (string, optional) — The shipping method the seller is required to use to fulfill this order line
- `shipping_price` (double, optional) — The total shipping price for this order line
- `taxes` (list of Tax, optional) — A collection of taxes that are levied against the order line
- `discounts` (list of Discount, optional) — A collection of discounts that are applied to the order line
- `platform_discount` (double, optional) — Discount amount given by the channel to a customer for the order line. This amount is separate from seller discounts, captured in the discounts field.
- `commission` (double, optional, nullable) — Commission on the sale that will be taken by the marketplace. If this field is null, the information was not available with the order; it does not necessarily mean the commission is zero.
- `gift_wrap_price` (double, optional) — Amount charged to gift wrap the item
- `gift_wrap_tax` (double, optional) — Taxes for the gift wrapping service
- `is_tax_collected_by_marketplace` (boolean, optional) — Indicates whether taxes are collected by the marketplace
- `order_line_additional_properties` (map from string to any, optional) — Arbitrary data the marketplace associated with an order line

### Location

Details about the location (e.g. store) associated with an order

- `source_location_id` (string, optional) — The location identifier used for correlation with the source platform
- `name` (string, optional) — The assigned name for the location
- `active` (boolean, optional) — Whether the location is marked as active or inactive
- `client_location_id` (string, optional) — An optional custom identifier for the location
- `address` (string, optional) — Formatted address data for the location
- `custom_fields` (map from string to any, optional) — Additional client-defined fields

### PaymentGatewayTransaction

An object representing a Payment Gateway Transaction associated with an order

- `id` (string, required) — The source channel's unique identifier for this transaction.
- `amount` (double, optional) — The amount of money in the transaction.
- `currency` (string, optional) — The currency used for the transaction.
- `gateway_transaction_id` (string, optional) — The ID returned by the payment gateway for this transaction.
- `gateway` (string, optional) — The name of the payment gateway through which the transaction was processed.

### Tax

An object representing a tax applied to an order line

- `type` (enum, required) — The type of tax
  - Allowed values: `SHIPPING`, `SALES`, `GST`, `PST`, `VAT`
- `amount` (double, required) — The tax amount

### Discount

An object representing a discount applied to an order line

- `name` (string, required) — The discount identifier, as configured in the marketplace
- `amount` (double, required) — The order line total discount amount
- `type` (enum, required) — The type of discount&#x20; ITEM - Discount applies to item price SHIPPING - Discount applies to shipping price
  - Allowed values: `ITEM`, `SHIPPING`

## Examples

**Response**

```json
{
  "id": "109872189273617283",
  "marketplace_order_number": "111-99998888-55555",
  "customer": {
    "full_name": "A. Customer",
    "email": "customer@internet-provider.com",
    "phone": "5558675309",
    "vat": "78131452263"
  },
  "imported_date": {},
  "purchase_date": {},
  "currency": "USD",
  "shipping_address": {
    "full_name": "John M. Doe",
    "address1": "123 Fake Street",
    "city": "Ghost Town",
    "state": "DC",
    "postal_code": "91234",
    "country_code": "USA",
    "address_type": "business",
    "address2": "Building 456",
    "address3": "Room 789",
    "country_code_iso2": "US",
    "phone": "9997776666"
  },
  "order_lines": [
    {
      "id": "109872189273617283",
      "marketplace_line_number": "XX-111-FF-1111",
      "sku": "1234-12353",
      "product_name": "ACME Super Product",
      "quantity": 1,
      "unit_price": 200,
      "shipping_method": "Standard",
      "shipping_price": 1.95,
      "taxes": [
        {
          "type": "SHIPPING",
          "amount": 1.1
        }
      ],
      "discounts": [
        {
          "name": "Spring Discount",
          "amount": 1.1,
          "type": "ITEM"
        }
      ],
      "platform_discount": 5.5,
      "commission": 2.5,
      "gift_wrap_price": 5.99,
      "gift_wrap_tax": 0.3,
      "is_tax_collected_by_marketplace": false,
      "order_line_additional_properties": {}
    }
  ],
  "marketplace_state": "Shipped",
  "customer_order_number": "000-1234567-7654321",
  "merchant_order_number": "12345",
  "marketplace_name": "Target",
  "integration_name": "My Store",
  "sales_channel": "Marketplace.co.uk",
  "location": {
    "source_location_id": "a0b0c0-f-f-f-f00f",
    "name": "City Store - Citiesville",
    "active": true,
    "client_location_id": "my-locid_00",
    "address": "1234 Street Ave., City Township, NJ 00000",
    "custom_fields": {}
  },
  "delivery_notes": "leave by the back door.",
  "earliest_ship_date": {},
  "latest_ship_date": {},
  "latest_delivery_date": {},
  "earliest_delivery_date": {},
  "gift_message": "Happy birthday!",
  "marketing_opt_in": false,
  "billing_address": {
    "full_name": "John M. Doe",
    "address1": "123 Fake Street",
    "city": "Ghost Town",
    "state": "DC",
    "postal_code": "91234",
    "country_code": "USA",
    "address_type": "business",
    "address2": "Building 456",
    "address3": "Room 789",
    "country_code_iso2": "US",
    "phone": "9997776666"
  },
  "order_additional_properties": {},
  "payment_gateway_transactions": [
    {
      "id": "id",
      "amount": 10,
      "currency": "USD",
      "gateway_transaction_id": "12345",
      "gateway": "stripe"
    }
  ],
  "workflow_status": "SENT_FOR_FULFILLMENT",
  "normalized_marketplace_state": "PENDING",
  "is_marketplace_fulfilled": false,
  "marketplace_state_changed_at": {},
  "fulfillment_type": "shipment",
  "shipment_service_level": "UPS_GROUND",
  "shipment_node": "Austin Warehouse"
}
```

**SDK Code**

```python
import requests

url = "https://api.feedamp.feedonomics.com/api/v2/orders/1"

headers = {
    "client": "1",
    "token": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.feedamp.feedonomics.com/api/v2/orders/1';
const options = {method: 'GET', headers: {client: '1', token: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.feedamp.feedonomics.com/api/v2/orders/1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("client", "1")
	req.Header.Add("token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.feedamp.feedonomics.com/api/v2/orders/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["client"] = '1'
request["token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.feedamp.feedonomics.com/api/v2/orders/1")
  .header("client", "1")
  .header("token", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.feedamp.feedonomics.com/api/v2/orders/1', [
  'headers' => [
    'client' => '1',
    'token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.feedamp.feedonomics.com/api/v2/orders/1");
var request = new RestRequest(Method.GET);
request.AddHeader("client", "1");
request.AddHeader("token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "client": "1",
  "token": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.feedamp.feedonomics.com/api/v2/orders/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```